# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'stackd/version'

Gem::Specification.new do |spec|
  spec.name          = "stackd"
  spec.version       = Stackd::VERSION
  spec.authors       = ["Stephen Ausman"]
  spec.email         = ["stephen@stackd.com"]

  spec.summary       = "Stackd Ruby client"
  spec.description   = "https://stackd.com"
  spec.homepage      = "https://github.com/stackd/stackd-ruby"
  spec.license       = "Unlicense"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f|
    f.match(%r{^(test|spec|features)/})
  }
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.8"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.2"
  spec.add_development_dependency "webmock", "~> 1.21"

  spec.add_dependency "unirest", "~> 1.1"
  spec.add_dependency "addressable", "~> 2.3"
  spec.add_dependency "activesupport", "~> 4.2"
end
